Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 597089 - kdelibs conflicts kdebase-workspace-libs
kdelibs conflicts kdebase-workspace-libs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 01:43 EDT by Jim Radford
Modified: 2010-11-02 14:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-02 14:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2010-05-28 01:43:51 EDT
I can't install anything because something needs kdebase-workspace-libs

  $ rpm -q --conflicts kdelibs-4.4.3-2.fc12
  kdebase-workspace-libs < 4.3.80

but the fc12 version of kdebase-workspace-libs available is

  kdebase-workspace-libs-4.3.2-1.fc12
Comment 1 Rex Dieter 2010-05-28 09:00:36 EDT
Details please.

In particular, post the full output of 

$ yum update
Comment 2 Rex Dieter 2010-05-28 09:01:18 EDT
and 

$ yum repolist

(because kde-4.4.3 is available in updates now, so kdebase-workspace-libs should get updated to 4.4.3 level too)
Comment 3 Jim Radford 2010-05-28 16:22:50 EDT
The key I see is that kdelibs conflicts kdebase-workspace-libs < 4.3.80, but there is no version of kdebase-workspace-libs with a version >= 4.3.80 in fc12 AFAICT.

My repolist is rpmfusion-free, rpmfusion-free-updates, rpmfusion-nonfree, rpmfusion-nonfree-updates, fedora, updates (all version 12).

The key part of the yum update (the rest scrolled off my screen) is

--> Processing Conflict: 6:kdelibs-4.4.3-2.fc12.i686 conflicts kdebase-workspace-libs < 4.3.80
--> Finished Dependency Resolution
6:kdelibs-4.4.3-2.fc12.i686 from updates has depsolving problems
  --> kdelibs conflicts with kdebase-workspace-libs
abrt-gui-0.0.11-1.fc12.i686 from fedora has depsolving problems
  --> Missing Dependency: abrt = 0.0.11-1.fc12 is needed by package abrt-gui-0.0.11-1.fc12.i686 (fedora)
--> Running transaction check
---> Package abrt-gui.i686 0:0.0.11-1.fc12 set to be updated
--> Processing Dependency: abrt = 0.0.11-1.fc12 for package: abrt-gui-0.0.11-1.fc12.i686
--> Processing Conflict: 6:kdelibs-4.4.3-2.fc12.i686 conflicts kdebase-workspace-libs < 4.3.80
--> Finished Dependency Resolution
6:kdelibs-4.4.3-2.fc12.i686 from updates has depsolving problems
  --> kdelibs conflicts with kdebase-workspace-libs
Comment 4 Kevin Kofler 2010-05-28 17:18:20 EDT
Hmmm, maybe a multilib problem? Is this on x86_64?

kdebase-workspace-libs-4.4.3-1.fc12.1.i686 is definitely available in the i*86 updates repo.
Comment 5 Jim Radford 2010-05-28 18:26:49 EDT
It's not a multilib problem as it's an i686 system.

Seems I misread 4.4.3 as 4.3.4 and thought it was less that 4.3.80.  There was clearly a problem, but I failed to identify it.
Comment 6 Rex Dieter 2010-11-02 14:36:15 EDT
I take it all is well now?  (closing)

Else, feel free to reopen if that's not the case.

Note You need to log in before you can comment on or make changes to this bug.